Package com.orchestranetworks.service.directory

# Interface DirectoryDefault.UserEntity

Enclosing class:
  DirectoryDefault

public static interface DirectoryDefault.UserEntity
Represents a user entity that is, or can be, persisted in the default directory.

Since:
  5.7.0
See Also:
  - `DirectoryDefaultHelper`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getAttributes()`
  Returns the specific attributes of the current user.
  `String`
  `getComments()`
  `String`
  `getEmail()`
  `String`
  `getFaxNumber()`
  `String`
  `getFirstName()`
  `String`
  `getJobTitle()`
  `String`
  `getLastName()`
  `String`
  `getLogin()`
  `String`
  `getMobilePhoneNumber()`
  `String`
  `getOfficePhoneNumber()`
  `Date`
  `getPasswordLastUpdate()`
  `String`
  `getSalutation()`
  `List<Role>`
  `getSpecificRoles()`
  Never returns `null`.
  `boolean`
  `isBuiltInAdministrator()`
  `boolean`
  `isPasswordChangeRequired()`
  `boolean`
  `isReadOnly()`
  `void`
  `setAttributes(Map<String,String> attributes)`
  Set specific attributes for this user.
  `void`
  `setBuiltInAdministrator(boolean builtInAdministrator)`
  `void`
  `setComments(String aString)`
  `void`
  `setEmail(String email)`
  `void`
  `setFaxNumber(String aFaxNumber)`
  `void`
  `setFirstName(String firstName)`
  `void`
  `setJobTitle(String aJobTitle)`
  `void`
  `setLastName(String lastName)`
  `void`
  `setMobilePhoneNumber(String aMobilePhoneNumber)`
  `void`
  `setOfficePhoneNumber(String anOfficePhoneNumber)`
  `void`
  `setPassword(String password)`
  `void`
  `setPasswordChangeRequired(boolean passwordChangeRequired)`
  `void`
  `setReadOnly(boolean readOnly)`
  `void`
  `setSalutation(String salutation)`
  `void`
  `setSpecificRoles(List<Role> specificRoles)`
  Specifies the roles associated with the current user.

- ## Method Details

  - ### getLogin

    String getLogin()
    See Also:
      - `UserReference.getUserId()`

  - ### getLastName

    String getLastName()

  - ### setLastName

    void setLastName(String lastName)

  - ### getFirstName

    String getFirstName()

  - ### setFirstName

    void setFirstName(String firstName)

  - ### getSalutation

    String getSalutation()

  - ### setSalutation

    void setSalutation(String salutation)

  - ### isBuiltInAdministrator

    boolean isBuiltInAdministrator()

  - ### setBuiltInAdministrator

    void setBuiltInAdministrator(boolean builtInAdministrator)
    See Also:
      - `Profile.isBuiltInAdministrator()`

  - ### isReadOnly

    boolean isReadOnly()

  - ### setReadOnly

    void setReadOnly(boolean readOnly)
    See Also:
      - `Profile.isBuiltInReadOnly()`

  - ### getSpecificRoles

    List<Role> getSpecificRoles()
    Never returns `null`.

  - ### setSpecificRoles

    void setSpecificRoles(List<Role> specificRoles)
    Specifies the roles associated with the current user.
    See Also:
      - `Directory.isUserInRole(UserReference, Role)`

  - ### getEmail

    String getEmail()

  - ### setEmail

    void setEmail(String email)

  - ### setPassword

    void setPassword(String password)

  - ### isPasswordChangeRequired

    boolean isPasswordChangeRequired()

  - ### setPasswordChangeRequired

    void setPasswordChangeRequired(boolean passwordChangeRequired)

  - ### getPasswordLastUpdate

    Date getPasswordLastUpdate()

  - ### getOfficePhoneNumber

    String getOfficePhoneNumber()

  - ### getMobilePhoneNumber

    String getMobilePhoneNumber()

  - ### setMobilePhoneNumber

    void setMobilePhoneNumber(String aMobilePhoneNumber)

  - ### setOfficePhoneNumber

    void setOfficePhoneNumber(String anOfficePhoneNumber)

  - ### getFaxNumber

    String getFaxNumber()

  - ### setFaxNumber

    void setFaxNumber(String aFaxNumber)

  - ### getJobTitle

    String getJobTitle()

  - ### setJobTitle

    void setJobTitle(String aJobTitle)

  - ### getComments

    String getComments()

  - ### setComments

    void setComments(String aString)

  - ### getAttributes

    Map<String,String> getAttributes()
    Returns the specific attributes of the current user.
    See Also:
      - `setAttributes(Map)`

  - ### setAttributes

    void setAttributes(Map<String,String> attributes)
    Set specific attributes for this user.

    These attributes are stored in the User record within the `DirectoryDefault` dataset.

    `DirectoryDefault` does not use these attributes, which are not accessible through the user interface.

    If used by a `DirectoryDefault` extension, these attributes should not be used for massive computation _example: permission resolution, as it may lead to poor performances.

    See Also:
      - `getAttributes()`